PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package serverobject
  Definition Classes
    objects
-  package resourcesilo
  Definition Classes
    serverobject
- ResourceSilo
- ResourceSiloControl
- ResourceSiloDefinition

c

net.psforever.objects.serverobject.resourcesilo

# ResourceSiloControl

###

#### class ResourceSiloControl extends Actor with Check with NtuStorageBehavior

An `Actor` that handles messages being dispatched to a specific `Resource Silo`.

Source
  ResourceSiloControl.scala

Linear Supertypes
NtuStorageBehavior, Check, BasicAffinity, Actor, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ResourceSiloControl
2. NtuStorageBehavior
3. Check
4. BasicAffinity
5. Actor
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new ResourceSiloControl(resourceSilo: ResourceSilo)

   resourceSilo

     the `Resource Silo` object being governed

### Type Members

1.  type Receive = PartialFunction[Any, Unit]
   Definition Classes
     Actor

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def FactionObject: FactionAffinity
   Definition Classes
     ResourceSiloControl → BasicAffinity
5.  def HandleNtuGrant(sender: ActorRef, src: NtuContainer, amount: Float): Unit

   Accept nanites into the silo capacitor and set the animation state.

   Accept nanites into the silo capacitor and set the animation state.

   Definition Classes
     ResourceSiloControl → NtuStorageBehavior
6.  def HandleNtuOffer(sender: ActorRef, src: NtuContainer): Unit

   The silo will agree to offers until its nanite capacitor is completely full.

   The silo will agree to offers until its nanite capacitor is completely full.

   Definition Classes
     ResourceSiloControl → NtuStorageBehavior
7.  def HandleNtuRequest(sender: ActorRef, min: Float, max: Float): Unit

   na

   na

   sender

     na

   min

     a minimum amount of nanites requested;

   max

     the amount of nanites required to not make further requests;

   Definition Classes
     ResourceSiloControl → NtuStorageBehavior
8.  def LowNtuWarning(enabled: Boolean): Unit
9.  def NtuStorageObject: NtuContainer
   Definition Classes
     NtuStorageBehavior
10.  def PanelAnimation(source: ActorRef, trigger: Float): Unit

    When charging from another source of nanites, the silo's panels will glow and a particle affect will traverse towards the panels from about ten meters in front of the silo.

    When charging from another source of nanites, the silo's panels will glow and a particle affect will traverse towards the panels from about ten meters in front of the silo. These effects are both controlled by thee same packet.

    trigger

      if positive, activate the animation; if negative or zero, disable the animation

11.  def Processing: Receive
12.  def SkipPanelAnimation(source: ActorRef, trigger: Float): Unit

    Update the charge level and decide if the silo is full.

    Update the charge level and decide if the silo is full. Announce that full-ness to the NTU source. Although called "Skip", an animation that broadcasts the transfer process should be ongoing at the moment.

13.  def StopNtuBehavior(sender: ActorRef): Unit

    Reset the animation trigger and attempt the stop animation.

    Reset the animation trigger and attempt the stop animation.

    Definition Classes
      ResourceSiloControl → NtuStorageBehavior
14.  def UpdateChargeLevel(amount: Float): Unit
15.  def aroundPostRestart(reason: Throwable): Unit
    Attributes
      protected[akka]
    Definition Classes
      Actor
    Annotations
      @InternalApi()
16.  def aroundPostStop(): Unit
    Attributes
      protected[akka]
    Definition Classes
      Actor
    Annotations
      @InternalApi()
17.  def aroundPreRestart(reason: Throwable, message: Option[Any]): Unit
    Attributes
      protected[akka]
    Definition Classes
      Actor
    Annotations
      @InternalApi()
18.  def aroundPreStart(): Unit
    Attributes
      protected[akka]
    Definition Classes
      Actor
    Annotations
      @InternalApi()
19.  def aroundReceive(receive: akka.actor.Actor.Receive, msg: Any): Unit
    Attributes
      protected[akka]
    Definition Classes
      Actor
    Annotations
      @InternalApi()
20.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
21.  val checkBehavior: Receive
    Definition Classes
      Check
22.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
23.  implicit val context: ActorContext
    Definition Classes
      Actor
24.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
25.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
26.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
27.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
28.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
29.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
30.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
31.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
32.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
33.  var panelAnimationFunc: (ActorRef, Float) => Unit
34.  def postRestart(reason: Throwable): Unit
    Definition Classes
      Actor
    Annotations
      @throws(classOf[java.lang.Exception])
35.  def postStop(): Unit
    Definition Classes
      Actor
    Annotations
      @throws(classOf[java.lang.Exception])
36.  def preRestart(reason: Throwable, message: Option[Any]): Unit
    Definition Classes
      Actor
    Annotations
      @throws(classOf[java.lang.Exception])
37.  def preStart(): Unit
    Definition Classes
      Actor
    Annotations
      @throws(classOf[java.lang.Exception])
38.  def receive: Receive
    Definition Classes
      ResourceSiloControl → Actor
39.  implicit final val self: ActorRef
    Definition Classes
      Actor
40.  final def sender(): ActorRef
    Definition Classes
      Actor
41.  def storageBehavior: Receive
    Definition Classes
      NtuStorageBehavior
42.  def supervisorStrategy: SupervisorStrategy
    Definition Classes
      Actor
43.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
44.  def toString(): String
    Definition Classes
      AnyRef → Any
45.  def unhandled(message: Any): Unit
    Definition Classes
      Actor
46.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
47.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
48.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from NtuStorageBehavior

### Inherited from Check

### Inherited from BasicAffinity

### Inherited from Actor

### Inherited from AnyRef

### Inherited from Any

### Ungrouped